import java.awt.BorderLayout;
import java.awt.GridLayout;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

class ProductDetails extends JPanel {
	private static final long serialVersionUID = 8069232875557223123L;
	
	private JLabel lblName = new JLabel("Name:");
	private JLabel lblPreis = new JLabel("Preis:");
	private JTextField tfName = new JTextField();
	private JTextField tfPrice = new JTextField();

	public ProductDetails() {
		this.setLayout(new GridLayout(2,2));
		tfName.setHorizontalAlignment(JTextField.RIGHT);
		tfPrice.setHorizontalAlignment(JTextField.RIGHT);
		this.add(lblName);
		this.add(tfName);
		this.add(lblPreis);
		this.add(tfPrice);
	}

	public void setData(Product p){
		tfName.setText(p.getName());
		tfPrice.setText(p.getPrice());
	}
}

public class ProductPanel extends JPanel {

	private static final long serialVersionUID = -8222745310953362748L;

	private ProductDetails pProduktDetails = new ProductDetails();

	public ProductPanel() {
		this.setLayout(new BorderLayout());
		this.add(pProduktDetails, BorderLayout.NORTH);
	}

	public void setData(Product p){
		this.pProduktDetails.setData(p);
	}
}
